# include "../lexgen1/ldefs.c"
chbad(c)
{
error(printable(c)?"'%c' is not a legal character": "%o is not a legal character", c);
}
space (ch)
	{
	switch(ch)
		{
		case ' ':
		case '\t':
		case '\n':
			return(1);
		}
	return(0);
	}

scomp(s,t)
	char *s, *t;
{
	int c;
	while( (c = *s++ ) == *t++)
		if (c==0)
			return(1);
	return(0);
}
clenf(s)
	char *s;
{
int k;
k=0;
while (*s++) k++;
return(k);
}
digit(c)
{
return(c>='0' && c <= '9');
}
